/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.275 Revision 1.468
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.275 2007/05/24 18:17:45 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.468 2010/08/21 15:40:39 jer Exp $
4
5 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
6 Stable for HPPA (bug #332957).
7
8*ruby-1.8.7_p302 (21 Aug 2010)
9
10 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
11 +ruby-1.8.7_p302.ebuild:
12 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
13 installation path.
14
15*ruby-1.8.6_p399 (19 Aug 2010)
16
17 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
18 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
19 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
20 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
21 installation path (reported by the x86 team in bug 332597)
22
23*ruby-1.9.2_rc2-r1 (18 Aug 2010)
24
25 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
26 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
27 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
28 the rubygems loading code. Add USE flag for psych.
29
30 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
31 ruby-1.9.2_rc2.ebuild:
32 Remove two keepdir that will try to keep an empty path, closes bug
33 #333163.
34
35 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
36 Marked ~ppc (bug #332593).
37
38 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
39 ruby-1.9.2_rc2.ebuild:
40 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
41
42 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
43 ruby-1.8.7_p299.ebuild:
44 Bump eselect-ruby dependency
45
46 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
47 -ruby-1.9.1_p429.ebuild:
48 Remove ebuild that is not target for unmask anyway.
49
50 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
51 ruby-1.9.2_rc2.ebuild:
52 Try 2 to fix the berkdb 5 issue on 1.9.
53
54 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
55 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
56 ruby-1.9.2_rc2.ebuild:
57 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
58 support for adding new patchsets without bumping the revision for all the
59 old ebuilds as well.
60
61*ruby-1.9.2_rc2 (14 Jul 2010)
62
63 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
64 +ruby-1.9.2_rc2.ebuild:
65 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
66 might cause _further_ build failures as it changed slightly behaviour.
67 You're going to need to rebuild rubygems and then all the packages
68 previously installed after upgrading to this.
69
70 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
71 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
72 -ruby-1.9.1_p376.ebuild:
73 Cleanup old versions.
74
75*ruby-1.9.1_p429 (04 Jul 2010)
76
77 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
78 +ruby-1.9.1_p429.ebuild:
79 Version bump to new 1.9.1 release.
80
81*ruby-1.8.7_p299 (23 Jun 2010)
82
83 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
84 +ruby-1.8.7_p299.ebuild:
85 Version bump.
86
87 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
88 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
89 remove useless comments
90
91 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
92 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
93 ruby-1.9.1_p376.ebuild:
94 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
95 dev.gentoo.org now.
96
97 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
98 ruby-1.9.1_p376.ebuild:
99 Use the correct RUBYLIB.
100
101*ruby-1.8.7_p249-r2 (18 May 2010)
102*ruby-1.8.6_p388-r1 (18 May 2010)
103
104 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
105 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
106 ruby-1.9.1_p376.ebuild, metadata.xml:
107 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
108 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
109 add USE flags for ncurses, readline and libedit, and properly depend on
110 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
111 Emacs versions support ruby-mode themselves and it should be even more
112 updated.
113
114*ruby-1.8.7_p249-r1 (06 May 2010)
115
116 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
117 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
118 309789 by Sune Kloppenborg Jeppesen.
119
120 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
121 ruby-1.8.7_p249.ebuild:
122 Use $PVR instead of $PV in patchset names
123
124 06 May 2010; Alex Legler <a3li@gentoo.org>
125 -files/ruby-1.8.6-memory-leak.diff,
126 -files/ruby18-mkmf-parallel-install.patch,
127 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
128 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
129 Remove old version. Cleanup in files/
130
131*ruby-1.9.1_p376 (01 May 2010)
132
133 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
134 Version bump. Fixes security bugs 296052 and 300468. No longer installs
135 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
136 instead.
137
138 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
139 -ruby-1.8.7_p174-r1.ebuild:
140 Remove vulnerable ebuilds, 300468
141
142 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
143 ruby-1.8.7_p249.ebuild:
144 amd64 stable, security bug 300468
145
146 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
147 ruby-1.8.7_p249.ebuild:
148 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
149
150 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
151 Stable for HPPA (bug #300468).
152
153 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
154 Stable for HPPA (bug #300468).
155
156 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
157 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
158
159 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
160 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
161
162 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
163 ruby-1.8.6_p388.ebuild:
164 stable x86, security bug 300468
165
166 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
167 ruby-1.8.7_p249.ebuild:
168 stable x86, security bug 300468
169
170*ruby-1.8.6_p388 (10 Jan 2010)
171
172 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
173 +ruby-1.8.6_p388.ebuild:
174 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
175 version. The new ebuild also has the fix for bug 168939.
176
177*ruby-1.8.7_p249 (10 Jan 2010)
178
179 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
180 +ruby-1.8.7_p249.ebuild:
181 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
182 version
183
184 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
185 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
186
187*ruby-1.8.7_p248 (25 Dec 2009)
188
189 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
190 Version bump
191
192 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
193 Remove old version.
194
195 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
196 Remove old version.
197
198 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
199 ia64/s390/sh stable wrt #288699
200
201 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
202 stable sparc, bug 288699
203
204 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
205 arm stable, bug #288699
206
207 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
208 amd64/x86 stable, bug #288699
209
210 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
211 ruby-1.8.7_p174-r1.ebuild:
212 Stable on alpha, bug #288699
213
214 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
215 ppc stable #288699
216
217 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
218 Stable for HPPA (bug #288699).
219
220 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
221 Marked ~hppa too.
222
223*ruby-1.8.7_p174-r1 (06 Oct 2009)
224
225 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
226 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
227 eselect-ruby cleanup feature.
228
229*ruby-1.9.1_p243 (09 Sep 2009)
230
231 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
232 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
233 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
234 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
235 -files/ruby19-rubygems-proxy.patch,
236 -files/ruby-1.9.1_p129-parallelmake.patch,
237 -files/ruby19-mkmf-parallel-install.patch:
238 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
239 168939. Cleaning up old patches.
240
241*ruby-1.8.6_p383 (20 Aug 2009)
242
243 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
244 Patchlevel bump.
245
246 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
247 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
248 ruby-1.9.1_p129-r1.ebuild:
249 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
250
251 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
252 Removing vulnerable ebuild, bug 273213.
253
254 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
255 Marking ruby-1.8.6_p369 ppc for bug 273213
256
257 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
258 ruby-1.9.1_p129-r1.ebuild:
259 Prepend our library path instead of overwriting it during src_install.
260 Thanks to the reporter of bug #274824.
261
262*ruby-1.8.7_p174 (18 Jun 2009)
263
264 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
265 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
266 Replacing 187_p173 with _p174 because of a regression. Unifying the
267 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
268 patchsets.
269
270 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
271 Marking ruby-1.8.6_p369 ppc64 for bug 273213
272
273 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
274 arm/ia64/s390/sh/sparc stable wrt #273213
275
276 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
277 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
278 Removing old version, minor cleanup
279
280 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
281 -files/ruby-1.8.6-openssl.patch,
282 -files/ruby-1.8.6-shortname_constants.patch,
283 -files/ruby-1.8.6_p111-r13657.patch,
284 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
285 Removing vulnerable old Ruby version and stale patches, bug 274108.
286
287 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
288 ruby-1.8.6_p369.ebuild:
289 Stable on alpha, bug #273213
290
291 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
292 Stable for HPPA (bug #273213).
293
294 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
295 ruby-1.8.6_p369.ebuild:
296 stable x86, security bug 273213
297
298 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
299 amd64 stable, security bug 273213.
300
301*ruby-1.8.7_p173 (10 Jun 2009)
302*ruby-1.8.6_p369 (10 Jun 2009)
303
304 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
305 +ruby-1.8.7_p173.ebuild:
306 Version bumps for bug #273213.
307
308*ruby-1.9.1_p129-r1 (27 May 2009)
309
310 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
311 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
312 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
313 +files/ruby-1.9.1_p129-parallelmake.patch:
314 Revision bump, add patches 1) to make Ruby behave more similarly between
315 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
316 extensions (undefined symbols in them will cause abort at runtime 3) to
317 remove a concurrency issue when building the dl extension that could
318 result in a broken dl.so.
319
320 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
321 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
322 Don't block rdoc-2 or later (which may enter Portage one day as it's
323 needed by some Rakefiles).
324
325 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
326 ruby-1.9.1_p129.ebuild:
327 Add ~x86-fbsd keyword.
328
329 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
330 keyword ~sparc-fbsd, bug #252315
331
332*ruby-1.9.1_p129 (15 May 2009)
333
334 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
335 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
336 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
337 included in every release.
338
339 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
340 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
341 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
342 ruby-1.8.7_p160.ebuild:
343 Removing vulnerable versions (#268515), fixing license (#233747).
344
345 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
346 Stable for HPPA (bug #268515).
347
348 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
349 Adapting rubygems notice.
350
351 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
352 amd64 stable, bug #268515.
353
354 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
355 arm/ia64/s390/sh/sparc stable wrt #268515
356
357 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
358 ruby-1.8.6_p368.ebuild:
359 stable x86, security bug 268515
360
361 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
362 ruby-1.8.6_p368.ebuild:
363 Stable on alpha, bug #268515
364
365 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
366 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
367
368*ruby-1.8.7_p160 (07 May 2009)
369*ruby-1.8.6_p368 (07 May 2009)
370
371 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
372 +ruby-1.8.7_p160.ebuild:
373 Version bump as per secbug 268515. NB: These are the first ebuilds that
374 no longer use ruby-config.
375
376*ruby-1.9.1-r1 (03 Apr 2009)
377*ruby-1.8.7_p72-r11 (03 Apr 2009)
378*ruby-1.8.6_p287-r13 (03 Apr 2009)
379
380 03 Apr 2009; Alex Legler <a3li@gentoo.org>
381 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
382 +files/ruby18-mkmf-parallel-install.patch,
383 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
384 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
385 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
386 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
387 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
388 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
389 happy.
390
391*ruby-1.9.1 (21 Mar 2009)
392
393 21 Mar 2009; Alex Legler <a3li@gentoo.org>
394 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
395 +ruby-1.9.1.ebuild:
396 Adding Ruby 1.9.1 for preliminary testing
397
398 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
399 ruby-1.8.6_p287-r12.ebuild:
400 Marked ~ppc for bug #252315.
401
402 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
403 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
404 bug 261982.
405
406 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
407 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
408 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
409 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
410 Cleanup
411
412*ruby-1.8.7_p72-r10 (07 Mar 2009)
413
414 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
415 +ruby-1.8.7_p72-r10.ebuild:
416 Add a revision of ruby 1.8.7 using eselect ruby.
417
418 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
419 ~mips keyworded, bug #252315.
420
421 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
422 ruby-1.8.6_p287-r5.ebuild:
423 ppc stable, bug #260006
424
425 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
426 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
427
428 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
429 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
430 Fixing Tk USE flag test, bug 258893.
431
432 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
433 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
434
435 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
436 ruby-1.8.6_p287-r5.ebuild:
437 amd64 stable wrt security bug #260006
438
439 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
440 Stable for HPPA (bug #260006).
441
442 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
443 ruby-1.8.6_p287-r5.ebuild:
444 Stable on alpha, bug #260006
445
446*ruby-1.8.7_p72-r2 (23 Feb 2009)
447*ruby-1.8.6_p287-r12 (23 Feb 2009)
448*ruby-1.8.6_p287-r5 (23 Feb 2009)
449
450 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
451 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
452 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
453 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
454 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
455 now before compilation if Tk useflags don't match) and 230748 (adding
456 --enable-option-checking=no for newer versions of autoconf).
457
458 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
459 arm/ia64/s390/sh/sparc stable wrt #254307
460
461 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
462 ruby-1.8.6_p287-r4.ebuild:
463 Stable on alpha, bug #254307
464
465 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
466 ruby-1.8.6_p287-r11.ebuild:
467 keyword ~x86-fbsd, bug #252315
468
469 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
470 ppc stable #254307
471
472 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
473 amd64/x86 stable, bug #254307
474
475 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
476 stable ppc64, bug 254307
477
478 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
479 Stable for HPPA (bug #254307).
480
481 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
482 ruby-1.8.6_p287-r11.ebuild:
483 Marked ~hppa (bug #252315).
484
485*ruby-1.8.6_p287-r11 (11 Jan 2009)
486
487 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
488 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
489 +ruby-1.8.6_p287-r11.ebuild:
490 Backport conditional definition of missing openssl functions from ruby 1.8.7.
491 Fixes #254307.
492
493 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
494 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
495
496 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
497 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
498
499 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
500 ruby-1.8.6_p287-r10.ebuild:
501 Add ~sparc keyword, bug #252315
502
503*ruby-1.8.6_p287-r10 (23 Dec 2008)
504
505 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
506 +ruby-1.8.6_p287-r10.ebuild:
507 Version bump which switches from ruby-config to eselect-ruby. Dropped most
508 keywords since eselect-ruby does not yet have these keywords.
509
510 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
511 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
512 Revert the ruby-config changes. We can't remove them until we provide an
513 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
514 for breaking things as mentioned in bug #251833.
515
516 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
517 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
518 ruby-1.8.7_p72-r1.ebuild:
519 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
520 Thanks for the people noticing this in bug #251833.
521
522 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
523 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
524 ruby-1.8.7_p72-r1.ebuild:
525 Drop dependency on ruby-config, which will be removed from the tree. We
526 currently only have one major version of ruby in the tree (Ruby 1.8), so there
527 is no need for ruby-config at this moment. For newer versions of Ruby we will
528 use eselect-ruby, which can be found in the ruby overlay at the moment.
529
530 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
531 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
532 Use mirror://ruby in SRC_URI, fixes #237392.
533
534 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
535 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
536 -ruby-1.8.7_p72.ebuild:
537 Remove old versions. Leave one old stable version with cjk support.
538
539*ruby-1.8.6_p287-r3 (29 Nov 2008)
540
541 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
542 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
543 +ruby-1.8.6_p287-r3.ebuild:
544 Fix our expansion limit patch according to debian bug report
545 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
546 make sure people will pick up the fixed version. Thanks to Alex Legler for
547 mentioning the patch.
548
549*ruby-1.8.7_p72-r1 (26 Nov 2008)
550*ruby-1.8.6_p287-r2 (26 Nov 2008)
551
552 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
553 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
554 +ruby-1.8.7_p72-r1.ebuild:
555 Fix problem with shortname constants #247790, already fixed in upstream SVN.
556 Thanks to Alex Legler for providing the patch.
557
558 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
559 -ruby-1.8.6_p287.ebuild:
560 Remove versions that will not become stable
561
562 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
563 ruby-1.8.6_p287-r1.ebuild:
564 ppc stable, bug #225465
565
566 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
567 ruby-1.8.6_p287-r1.ebuild:
568 amd64 stable wrt security bug #225465
569
570 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
571 alpha/ia64/x86 stable wrt #225465
572
573 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
574 ruby-1.8.6_p287-r1.ebuild:
575 Sparc stable --- Security Bug #225465 --- good since late August.
576
577 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
578 Stable on ppc64; bug #225465
579
580 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
581 Stable for HPPA (bug #225465).
582
583*ruby-1.8.6_p287-r1 (29 Aug 2008)
584
585 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
586 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
587 +ruby-1.8.6_p287-r1.ebuild:
588 Fix REXML security issues, bug #236060.
589
590 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
591 Add GLEP 56 USE flag descriptions.
592
593*ruby-1.8.7_p72 (15 Aug 2008)
594
595 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
596 +ruby-1.8.7_p72.ebuild:
597 bump 1.8.7 to latest patch release
598
599*ruby-1.8.6_p287 (11 Aug 2008)
600
601 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
602 Version bump for brown paper bag relelease.
603
604 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
605 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
606 Remove broken version in favor of the just-added 1.8.6_p286
607
608*ruby-1.8.6_p286 (10 Aug 2008)
609
610 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
611 Version bump to latest released version of ruby 1.8.6. This version fixes the
612 security issues reported in #225465 and #234224. The cjk USE flag has been
613 dropped since no compatible patches have been released yet.
614
615 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
616 ruby-1.8.6_p230.ebuild:
617 drop cjk from SRC_URI as well
618
619 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
620 Drop cjk support since the most recent oniguruma patches no longer apply to
621 this version, #230111.
622
623 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
624 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
625 Try to fix the security issues reported in #225465 for ruby 1.8.6.
626 Unfortunately the official p230 has a change which causes segmentation faults
627 for applications like Rails and RSpec, so we are reverting that specific
628 change.
629
630*ruby-1.8.7_p22 (29 Jun 2008)
631
632 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
633 +ruby-1.8.7_p22.ebuild:
634 bump 1.8.7 for security fix
635
636 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
637 nevermind, don't bump this yet
638
639*ruby-1.8.6_p230 (20 Jun 2008)
640
641 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
642 version bump
643
644*ruby-1.8.7 (10 Jun 2008)
645
646 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
647 +ruby-1.8.7.ebuild:
648 bump 1.8.7 to final
649
650*ruby-1.8.7_pre2 (21 Apr 2008)
651
652 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
653 +ruby-1.8.7_pre2.ebuild:
654 Version Bump
655
656*ruby-1.8.7_pre1 (16 Apr 2008)
657
658 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
659 Version bump. Drop cjk until a new version of oniguruma appears.
660
661 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
662 amd64 stable, bug 212264
663
664 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
665 Stable for HPPA (bug #212264).
666
667 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
668 ruby-1.8.6_p114.ebuild:
669 ppc stable, bug #212264
670
671 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
672 alpha/ia64 stable wrt #212264
673
674 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
675 ruby-1.8.6_p114.ebuild:
676 stable x86, security bug 212264
677
678 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
679 Sparc stable, Security Bug #212264, builds and installs, initial tests run
680 as expected.
681
682 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
683 Marking ruby-1.8.6_p114 ppc64 for bug 212264
684
685*ruby-1.8.6_p114 (05 Mar 2008)
686
687 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
688 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
689 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
690 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
691 Version bump for #212264. Remove old ebuilds.
692
693 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
694 alpha/ia64 stable wrt #208916
695
696 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
697 Stable on ppc wrt bug 208916
698
699 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
700 x86 stable, bug #208916
701
702 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
703 ruby-1.8.6_p111-r1.ebuild:
704 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
705
706 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
707 -files/ruby-1.8.6-exit-status.patch,
708 -files/ruby-1.8.6_p110-net-http-p111.patch,
709 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
710 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
711 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
712 Remove old versions
713
714 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
715 Stable on ppc64
716
717 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
718 Stable on amd64; bug 199191
719
720 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
721 alpha/ia64/sparc stable wrt #199191
722
723 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
724 Remove now-obsolete warning about coreutils versions, #203156.
725
726 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
727 Stable for HPPA (bug #199191).
728
729*ruby-1.8.6_p111-r1 (23 Dec 2007)
730
731 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
732 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
733 ssl USE flags. Patch to p113.
734
735 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
736 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
737
738 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
739 x86 stable, security bug #199191
740
741*ruby-1.8.6_p111 (23 Dec 2007)
742
743 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
744 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
745 Version bump with patch for bug #199191
746
747 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
748 Move dependency on (X)Emacs modes to PDEPEND.
749
750 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
751 Add back ~hppa keyword now that XEmacs support files have been keyworded,
752 bug 196413
753
754*ruby-1.8.6_p110-r2 (21 Oct 2007)
755
756 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
757 +ruby-1.8.6_p110-r2.ebuild:
758 Add emacs and xemacs USE flags and use them to pull in the correct editing
759 mode for each. Had to drop several arch keywords as reported on bug 196413.
760
761 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
762 amd64 stable, security bug 194236
763
764 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
765 ruby-1.8.6_p110-r1.ebuild:
766 Stable on ppc64; bug #194236
767
768 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
769 amd64 stable, security bug 194236
770
771 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
772 Stable for HPPA (bug #194236).
773
774 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
775 alpha/ia64/sparc stable wrt security #194236
776
777 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
778 ruby-1.8.6_p110-r1.ebuild:
779 ppc stable, bug #194236
780
781 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
782 ruby-1.8.6_p110-r1.ebuild:
783 stable x86, security bug 194236
784
785 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
786 ruby-1.8.5_p113.ebuild:
787 stable x86, security bug 194236
788
789 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
790 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
791 -ruby-1.8.6_p110.ebuild:
792 Remove old versions
793
794*ruby-1.8.6_p110-r1 (30 Sep 2007)
795*ruby-1.8.5_p113 (30 Sep 2007)
796
797 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
798 +files/ruby-1.8.5_p113-net-http-p114.patch,
799 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
800 +ruby-1.8.6_p110-r1.ebuild:
801 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
802 using 1.8.6-p110 as base ebuild.
803
804 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
805 More fixes from gentoo-dev and graaff
806
807 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
808 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
809
810*ruby-1.8.6_p110 (24 Sep 2007)
811
812 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
813 Version bump
814
815*ruby-1.8.6_p36-r4 (26 Aug 2007)
816
817 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
818 +ruby-1.8.6_p36-r4.ebuild:
819 Use user LDFLAGS, #181436
820
821 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
822 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
823 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
824 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
825
826 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
827 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
828 -ruby-1.8.6_p36-r2.ebuild:
829 Remove some older versions that will not be promoted to stable, keeping at
830 least one version of each release.
831
832 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
833 ruby-1.8.6_p36-r3.ebuild:
834 (QA) RESTRICT clean up.
835
836*ruby-1.8.6_p36-r3 (04 Jul 2007)
837
838 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
839 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
840 fixed memory leak loading .so bug #182946
841
842 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
843 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
844 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
845 ruby-1.8.6_p36-r2.ebuild:
846 (QA) RESTRICT clean up.
847
848 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
849 Re-add stable keyword for alpha as per bug #181110
850
851 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
852 Back to ~amd64 wrt bug 181110
853
854 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
855 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
856
857*ruby-1.8.6_p36-r2 (20 Jun 2007)
858
859 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
860 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671
861
862*ruby-1.8.6_p36-r1 (18 Jun 2007)
863
864 18 Jun 2007; Richard Brown <rbrown@gentoo.org>
865 +files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
866 -ruby-1.8.6_p36.ebuild, +ruby-1.8.6_p36-r1.ebuild:
867 Add prototype fix from ruby -r12567 [ruby-list:43615]. Thanks to peper and
868 spbecker
869
870 14 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
871 Stable on amd64 wrt bug 181110
872
873*ruby-1.8.6_p36 (12 Jun 2007)
874
875 12 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36.ebuild:
876 Version Bump. Bug #181379
877
878 10 Jun 2007; Joshua Kinard <kumba@gentoo.org> ruby-1.8.6-r1.ebuild:
879 Stable on mips, per #181110.
880
881 09 Jun 2007; nixnut <nixnut@gentoo.org> ruby-1.8.6-r1.ebuild:
882 Stable on ppc wrt bug 181110
883
884 09 Jun 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6-r1.ebuild:
885 Stable for HPPA (bug #181110).
886
887 09 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
888 alpha/ia64/x86 stable wrt #181110
889
890 07 Jun 2007; Gustavo Zacarias <gustavoz@gentoo.org> ruby-1.8.6-r1.ebuild:
891 Stable on sparc wrt #181110
892
893 06 Jun 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6-r1.ebuild:
894 Marking ruby-1.8.6-r1 ppc64 stable for bug#181110
4 895
5 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild, 896 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild, 897 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
7 ruby-1.8.5_p35.ebuild: 898 ruby-1.8.5_p35.ebuild:
8 Add RESTRICT="test" to ebuilds that have no hope of passing. 899 Add RESTRICT="test" to ebuilds that have no hope of passing.

Legend:
Removed from v.1.275  
changed lines
  Added in v.1.468

  ViewVC Help
Powered by ViewVC 1.1.20